package com.freeleaps.devops.enums

import com.freeleaps.devops.enums.ServiceLanguage

enum SASTScannerTypes {
  BANDIT(ServiceLanguage.PYTHON, "bandit", "ghcr.io/pycqa/bandit/bandit:latest"),

  final ServiceLanguage language
  final String scanner
  final String containerImage

  SASTScannerTypes(ServiceLanguage language, String scanner, String containerImage) {
    this.language = language
    this.scanner = scanner
    this.containerImage = containerImage
  }

  static SASTScannerTypes parse(String scanner) {
    switch (scanner) {
      case 'bandit':
        return SASTScannerTypes.BANDIT
      default:
        return null
    }
  }
}